package com.ibm.edp.cic.core.ant;

import java.util.List;

import org.apache.tools.ant.Project;
import org.eclipse.core.runtime.IProgressMonitor;

import com.ibm.cic.common.core.model.IOffering;
import com.ibm.cic.common.core.repository.IRepository;
import com.ibm.edp.cic.core.helper.CicHelper;

public class CicResetOfferingHashes extends AbstractCicTransformOfferingMetadata 
{	
	protected List transform(IOffering offering, IRepository repo, IProgressMonitor monitor) throws Exception
	{
		List logEntries = CicHelper.resetBuildOfferingCheckSums(offering, getCommit(), monitor);
		log( "Total " + logEntries.size() + " hashes have been detected" + (getCommit()?" and fixed":""), Project.MSG_INFO );	
		return logEntries;
	}
}
