package com.ibm.edp.cic.core.templates;

public abstract class AbstractTemplateProcessor implements ITemplateProcessor
{
    ITemplateContext templateContext = null;
	public void setTemplateContext( ITemplateContext ctx)
    {
    	this.templateContext = ctx;    	    	
    }
	
    public ITemplateContext getTemplateContext()
    {
    	return templateContext;   	
    }
    
	public void dispose()
	{
	   if( templateContext != null )
	   {
		   templateContext.dispose();
		   templateContext = null;
	   }
	}
	
    public abstract void processTemplates() throws Exception;
    
    
}
